Subject: bug#42704: Documentation of call-process

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Aug 2020 17:32:25 +0300

> Date: Tue, 4 Aug 2020 11:29:26 +0200 (CEST)
> From: Gregory Heytings via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> The documentation of 'call-process' doe not make reference to the variable 
> 'exec-path'.  It should.

The ELisp manual says that, see the node "Subprocess Creation".  This
isn't specific to call-process, that variable is used by all the
functions that create subprocesses.

> Using '(setenv "PATH" "...")' does not have the expected effect for 
> 'call-process'.  The environment variable "PATH" is correctly updated, the 
> variable 'process-environment' is also updated, but what 'call-process' 
> actually uses to locate the executable is the variable 'exec-path'.

The changes to the environment variables only affect the environment
passed to subprocesses, they don't affect the environment of the Emacs
process itself.